Metrics | API & MCP Reference | Archera

High level metrics to track commitment performance.

/metricsDirect link to heading

get/v1/org/{org_id}/metrics

Retrieves key performance metrics for cloud commitments (RIs/SPs) for the specified provider. Returns financial data including lifetime and month-to-date savings, automation status, potential missed savings opportunities, commitment coverage, and utilization rates. This endpoint provides a comprehensive overview of commitment performance and automation status.

Path parameters

org_id string · uuid Required

Query parameters

provider string · enum Required
Cloud provider to get metrics for
Example: aws
Possible values: aws, azure, gcp

Responses

200 OK
application/json

400 Bad request
application/json

401 Unauthorized
application/json

403 Forbidden
application/json

404 Not found
application/json

405 Method not allowed
application/json

409 Conflict
application/json

422 Unprocessable Content
application/json

500 Internal server error
application/json

default Default error response
application/json

Example Request

GET /v1/org/{org_id}/metrics?provider=aws HTTP/1.1
Accept: */*

200 OK

Example Response

{
  "lifetime_savings": 1,
  "lifetime_gri_savings": 1,
  "mtd_savings": 1,
  "mtd_gri_savings": 1,
  "purchase_automation_enabled": true,
  "buyback_automation_enabled": true,
  "has_actioned_plan": true,
  "has_pending_actions": true,
  "latest_execution_date": "2026-07-27",
  "purchase_missed_savings": 1,
  "buyback_missed_savings": 1,
  "total_daily_missed_savings": 1,
  "hourly_missed_savings": 1,
  "missed_savings_start_date": "2026-07-27",
  "missed_savings_end_date": "2026-07-27",
  "expiring_savings": 1,
  "coverage": 1,
  "utilization": 1
}